apiVersion: v1
kind: List
items:
- apiVersion: image.openshift.io/v1
  kind: ImageStream
  metadata:
    name: oracle-rest-benchmark
  spec:
    lookupPolicy:
      local: false
    tags:
    - name: latest
      from:
        kind: DockerImage
        name: gitlab-registry.cern.ch/apc/common/tools/oracle-rest-benchmark:latest
      importPolicy:
        scheduled: true
      referencePolicy:
        type: Source
- apiVersion: v1
  kind: ConfigMap
  data:
    config.json: |
      {
        "basePath": "/oracle-rest-benchmark"
      }
  metadata:
    name: oracle-rest-benchmark-config
- apiVersion: apps.openshift.io/v1
  kind: DeploymentConfig
  metadata:
    labels:
      app: oracle-rest-benchmark
    name: oracle-rest-benchmark
  spec:
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      app: oracle-rest-benchmark
      deploymentconfig: oracle-rest-benchmark
    strategy:
      activeDeadlineSeconds: 21600
      resources: {}
      rollingParams:
        intervalSeconds: 1
        maxSurge: 25%
        maxUnavailable: 25%
        timeoutSeconds: 600
        updatePeriodSeconds: 1
      type: Rolling
    template:
      metadata:
        labels:
          app: oracle-rest-benchmark
          deploymentconfig: oracle-rest-benchmark
      spec:
        containers:
        - image: gitlab-registry.cern.ch/apc/common/tools/oracle-rest-benchmark
          imagePullPolicy: Always
          name: oracle-rest-benchmark
          ports:
          - containerPort: 8080
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: "/etc/app"
            name: "config"
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 420
            name: oracle-rest-benchmark-config
          name: config
    test: false
    triggers:
    - type: ConfigChange
    - imageChangeParams:
        automatic: true
        containerNames:
        - oracle-rest-benchmark
        from:
          kind: ImageStreamTag
          name: oracle-rest-benchmark:latest
      type: ImageChange
- apiVersion: v1
  kind: Service
  metadata:
    labels:
      app: oracle-rest-benchmark
    name: oracle-rest-benchmark
  spec:
    ports:
    - name: 8080-tcp
      port: 8080
      protocol: TCP
      targetPort: 8080
    selector:
      app: oracle-rest-benchmark
      deploymentconfig: oracle-rest-benchmark
    sessionAffinity: None
    type: ClusterIP
